Last Comment Bug 109481 - Easy way to pick open pages (as opposed to open windows)
: Easy way to pick open pages (as opposed to open windows)
Status: RESOLVED FIXED
:
Product: Other Applications
Classification: Client Software
Component: DOM Inspector (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: mozilla1.9alpha
Assigned To: Jason Barnabe (np)
:
:
Mentors:
http://lxr.mozilla.org/seamonkey/sour...
Depends on: 331828
Blocks: 331184 331185 331186 331187 331188 331189
  Show dependency treegraph
 
Reported: 2001-11-10 00:37 PST by Hixie (not reading bugmail)
Modified: 2007-07-18 17:18 PDT (History)
31 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Implement "Inspect a tab" v1 (7.31 KB, patch)
2005-05-02 20:55 PDT, Jason Barnabe (np)
no flags Details | Diff | Splinter Review
Implement "Inspect a tab" v2 (9.07 KB, patch)
2005-05-03 21:08 PDT, Jason Barnabe (np)
no flags Details | Diff | Splinter Review
Implement "Inspect document" v1 (15.65 KB, patch)
2005-06-24 19:55 PDT, Jason Barnabe (np)
timeless: review-
Details | Diff | Splinter Review
Implement "Inspect document" v2 (17.87 KB, patch)
2005-12-07 18:52 PST, Jason Barnabe (np)
timeless: review+
Details | Diff | Splinter Review
Implement "Inspect document" v3 (18.14 KB, patch)
2005-12-20 17:25 PST, Jason Barnabe (np)
neil: superreview-
Details | Diff | Splinter Review
Implement "Inspect document" v4 (18.56 KB, patch)
2005-12-25 21:09 PST, Jason Barnabe (np)
neil: superreview+
Details | Diff | Splinter Review
Implement "Inspect document" v5 (18.58 KB, patch)
2005-12-29 20:21 PST, Jason Barnabe (np)
no flags Details | Diff | Splinter Review
Implement "Inspect document" v6 (74.52 KB, patch)
2005-12-30 15:36 PST, Jason Barnabe (np)
no flags Details | Diff | Splinter Review
Implement "Inspect document" v7 (74.53 KB, patch)
2006-02-21 04:57 PST, Andras Timar
no flags Details | Diff | Splinter Review
Patch for Polish (pl) localization (3.07 KB, patch)
2006-02-21 09:56 PST, Marek Stępień [:marcoos, inactive]
no flags Details | Diff | Splinter Review
Patch for Russian (ru) locale of DOM Inspector (3.53 KB, patch)
2006-02-21 10:01 PST, Alexander L. Slovesnik
no flags Details | Diff | Splinter Review
Patch for Swedish (sv-SE) localization (2.16 KB, patch)
2006-02-22 10:19 PST, u60234
no flags Details | Diff | Splinter Review
Patch for Greek (el) localization of inspector (2.20 KB, patch)
2006-02-23 00:14 PST, Kostas Papadimas
no flags Details | Diff | Splinter Review
Patch for Norwegian bokmål (nb-NO) localization (1.77 KB, patch)
2006-02-23 12:50 PST, Håvard Mork
no flags Details | Diff | Splinter Review
patch for Chinese Simplified (zh-CN) locale of DOM Inspector (4.75 KB, patch)
2006-02-25 06:24 PST, Shaohua Wen
no flags Details | Diff | Splinter Review
Patch for Irish (ga-IE) localization of inspector (2.03 KB, patch)
2006-02-26 15:04 PST, Kevin Scannell
no flags Details | Diff | Splinter Review

Description Hixie (not reading bugmail) 2001-11-10 00:37:54 PST
I suspect the main use of DOM Inspector will be to inspect web pages, and open
ones at that. Therefore on the file menu there should be a way to select web
pages in any open tabs or windows.
Comment 1 Alex Vincent [:WeirdAl] 2003-02-07 19:07:05 PST
The fix for this bug will probably resemble the fix for bug 105028.
Comment 2 Christopher Aillon (sabbatical, not receiving bugmail) 2003-09-05 03:18:59 PDT
Mass re-assigning bugs to dom.inspector@extensions.bugs
Comment 3 Jason Barnabe (np) 2005-05-02 20:55:44 PDT
Created attachment 182452 [details] [diff] [review]
Implement "Inspect a tab" v1

Just like "Inspect a Window", only for tabs.
Comment 4 Alex Vincent [:WeirdAl] 2005-05-02 22:16:51 PDT
Comment on attachment 182452 [details] [diff] [review]
Implement "Inspect a tab" v1

Well, how about that, someone finally decided to do something!	:D  I'll offer
a few comments, bearing in mind this is not a formal review, nor anything you
have to listen to.


>+    var tabbrowsers = windows.getNext().document
>+                                       .getElementsByTagName("tabbrowser");
>+    // For every <tabbrowser> in that window

Do we know that tabbrowser elements are, and forever will be, only used in a
navigator?  You might want to check the URL of the window you grab. 
(chrome://navigator/content/navigator.xul)

>+    for (var i = 0; i < tabbrowsers.length; i++) {
>+      // For every tab in that <tabbrowser>
>+      var tabs = tabbrowsers.item(i).browsers;
>+      for (var j = 0; j < tabs.length; j++) {
>+        // Create a menu item for the document in that tab
>+        var currentTab = tabs.item(j);

I'm not sure you have to use item.  tabs[i] would probably work just as well --
though I don't know the impact that has on the DOM.

>+        var menuItem = gInspectTabTemplate.cloneNode(true);

Why are you cloning an element (using true) that has no attributes and no child
nodes?	You could just create the element fresh, or at least change the true to
false here.

>+    <menu oncommand="inspector.goToTab(event.target);" onpopupshowing="showTabList()" onpopuphiding="hideTabList()"
>+      id="mnTabsFile" label="&mnTabs.label;" accesskey="&mnTabs.accesskey;">
>+      <menupopup id="listTabs-popup"/>
>+    </menu>

Still, this is a sweet thing to see.  :)
Comment 5 Christian :Biesinger (don't email me, ping me on IRC) 2005-05-03 04:49:42 PDT
you should really use getElementsByTagNameNS and give it the XUL namespace
Comment 6 Jason Barnabe (np) 2005-05-03 07:10:14 PDT
(In reply to comment #4)
> (From update of attachment 182452 [details] [diff] [review] [edit])
> Do we know that tabbrowser elements are, and forever will be, only used in a
> navigator?  You might want to check the URL of the window you grab. 
> (chrome://navigator/content/navigator.xul)

I (think I) made it so that any kind of tabbrowser will get its tabs picked up
by this, which is why I'm not assuming only one tabbrowser and I'm not just
doing a getElementById on Seamonkey/Firefox's tabbrowser element. Are you saying
we *should* limit it to tabbrowsers we know about? Why would we do that?

> I'm not sure you have to use item.  tabs[i] would probably work just as well --
> though I don't know the impact that has on the DOM.

I'll give it a shot.

> Why are you cloning an element (using true) that has no attributes and no child
> nodes?	You could just create the element fresh, or at least change the true to
> false here.

cloneNode is faster that createElement, as far as I know. As for why true rather
than false, it should probably be false (I thought I was going to have to add
some more stuff to it) but is cloneNode(true) necessarily slower than
cloneNode(false)?

(In reply to comment #5)
> you should really use getElementsByTagNameNS and give it the XUL namespace

Will do.
Comment 7 Alex Vincent [:WeirdAl] 2005-05-03 08:36:41 PDT
(In reply to comment #6)
> I (think I) made it so that any kind of tabbrowser will get its tabs picked up
> by this, which is why I'm not assuming only one tabbrowser and I'm not just
> doing a getElementById on Seamonkey/Firefox's tabbrowser element. Are you saying
> we *should* limit it to tabbrowsers we know about? Why would we do that?

Not necessarily.  I just wanted to make sure you'd considered it.  :) I'm
perfectly happy being wrong.
Comment 8 Jason Barnabe (np) 2005-05-03 21:08:15 PDT
Created attachment 182556 [details] [diff] [review]
Implement "Inspect a tab" v2

Additional changes:

(From comments)
-collection.item(i) -> collection[i]
-gInspectTabTemplate.cloneNode(true); -> gInspectTabTemplate.cloneNode(false);
-getElementsByTagName -> getElementsByTagNameNS

(Other things I noticed)
-Accesskeys now start at 1, not 0, just like the Inspect a Window submenu
-Untitled tabs now show (Untitled), not nothing

Does anyone know of an XUL app that uses tabbrowser that I can test this on?
Comment 9 Jason Barnabe (np) 2005-06-13 20:41:35 PDT
Talking to caillon on IRC and we agreed this isn't the best solution. Here's
what the best solution is:

There would be an Inspect menu instead of Inspect a Tab or Inspect a Window.
This would list all the inspectable stuff, seperated into content (like this
patch implements) and chrome (like in Inspect a Window). An option will be given
to show/hide chrome stuff, defaulting to off. The content entries will be named
after their respective document's titles, the chrome will also be the titles
with the exception of browser windows, which will say something like "Mozilla
Firefox (Tab title 1, Tab title 2...). If chrome is disabled, "click to inspect"
then clicking on chrome will do nothing.

Furthermore, a context menu item will be added to tabs to inspect them. This'll
be handled in a different bug.
Comment 10 Jason Barnabe (np) 2005-06-24 19:55:09 PDT
Created attachment 187262 [details] [diff] [review]
Implement "Inspect document" v1
Comment 11 Alex Vincent [:WeirdAl] 2005-06-24 22:40:45 PDT
Looks good to me!  I don't see any nits to pick here.
Comment 12 Christian :Biesinger (don't email me, ping me on IRC) 2005-06-25 04:24:56 PDT
I wonder, should <iframe>s/<frame>s also show up in the list?
Comment 13 Christopher Aillon (sabbatical, not receiving bugmail) 2005-07-10 07:33:44 PDT
(In reply to comment #12)
> I wonder, should <iframe>s/<frame>s also show up in the list?

As a sub-menu item perhaps, but I'm fine with handling that in a separate bug. 
I will try and play with the latest patch in the next few days.  Thanks for the
updated work, Jason.
Comment 14 timeless 2005-12-03 22:58:43 PST
Comment on attachment 187262 [details] [diff] [review]
Implement "Inspect document" v1

1. please add some try blocks to showInspectDocumentList.
2. please consider grabbing all <browser>/<iframe>/<page>s instead of just the ones you expect. this won't let me inspect mailnews pages, nor will it let me inspect sidebars/webpanels nor will it let me inspect browser content in my product which is a navigator:browser but has no tabbrowser (except when i open a couple of random standard browsers, but most likely the lack of try blocks [first point] will result in no menu...)
3.

+  <!ENTITY mnInspectDocument.label "Inspect Document">
+  <!ENTITY mnInspectDocument.accesskey "d">

Should be "D" not "d".


+  <!ENTITY cmdToggleChrome.label "Chrome">
+  <!ENTITY cmdToggleChrome.accesskey "c">

should be "C"
Comment 15 neil@parkwaycc.co.uk 2005-12-04 02:18:03 PST
I'd suggest enumerating the docShell tree via getDocShellEnumerator etc.
Comment 16 Jason Barnabe (np) 2005-12-06 19:02:17 PST
getDocShellEnumerator notices that the DOM Inspector window itself has a content document (View -> Browser). I think it'd be a bit confusing to users to have that document (which most of the time is about:blank) show up at all times, but then again it'd be a bit confusing for the list to be "all content documents except this one". Suggestions?
Comment 17 Jason Barnabe (np) 2005-12-07 18:52:32 PST
Created attachment 205268 [details] [diff] [review]
Implement "Inspect document" v2

This patch uses getDocShellEnumerator to decide what is content and what is chrome. It picks up on <browser>, <tabbrowser>, <frame>, <iframe>, <page>, and perhaps more things that I don't know of. The titles are the documents' titles, or their URLs if they have none. I've added try blocks so that if any window or document fails, the others will still show up.

As for the browser in the DOM Inspector, it is hidden if it's not being used (is about:blank).

When compiling this, I was having build failures because I didn't define strings for locales other than en-US, so I had to edit the make file to not build the other locales. I don't know if this will be a problem when checked into CVS.
Comment 18 Jason Barnabe (np) 2005-12-20 17:25:28 PST
Created attachment 206458 [details] [diff] [review]
Implement "Inspect document" v3

Per discussion with timeless, switch to javadoc style comments and fix an indentation problem.
Comment 19 neil@parkwaycc.co.uk 2005-12-24 09:03:30 PST
Comment on attachment 206458 [details] [diff] [review]
Implement "Inspect document" v3

>Index: ./extensions/inspector/resources/content/commandOverlay.xul
Please avoid .s in your cvs diff, it confuses me when i try to use patch -p4

>+const nsIXULWindow         = Components.interfaces.nsIXULWindow;
Nit: only used once (compare nsIWindowMediator).

>+    this.mInspectDocumentTemplate = document.createElement("menuitem");
I don't see the point of this, just create new menuitems each time.

>+    this.mInspectDocumentMenu = document.getElementById("listDocuments-popup");
This could be passed in as a parameter to showInspectDocumentList (compare with the usage of emptyChildren).

>+    document.getElementById("cmdToggleChrome").setAttribute("checked",
>+                                               PrefUtils.getPref("inspector.showChrome"));
Nit: not important, but the other preferences aren't instant-global-apply i.e. changing them doesn't affect other existing inspectors.

>-    this.setTargetWindowById(aMenuitem.id);
IIRC this was the only consumer of setTargetWindowById

>+    if (showChrome) {
>+      var chromeDocs = [];
>+    }
Nit: abuse of JS scope rules. I know that the var has function-level scope but it just looks silly, and probably isn't worth the if in this case anyway.

>+    // For every window
Nit: don't go overboard with comments

>+        contentDocs = contentDocs.concat(this.getContainedDocuments(windowDocShell, 
>+                                         nsIDocShellTreeItem.typeContent));
It might be clearer to do something along the lines of
this.appendContainedDocuments(contentDocs, windowDocShell, .typeContent);

>+        if (showChrome) {
>+          chromeDocs = chromeDocs.concat(this.getContainedDocuments(windowDocShell, 
>+                                         nsIDocShellTreeItem.typeChrome));
>+        }
Conveniently the bracing in this file is inconsistent so you get to choose the version you prefer ;-)

>+    var docNumber = 1;
Nit: start at 0 and use ++docNumber.

>+        if (docShell.contentViewer.DOMDocument.location.href != window.location.href ||
Nit: use document.location.ref for consistency.

>+          var title = childDoc.title;
>+          // If there's no title, use the URL
>+          if (!title) {
>+            title = childDoc.location.href;
>+          }
I don't see the point of computing the title here, do it when adding the menuitem. Also, use childDoc.title || childDoc.location.href.

>+    <menu oncommand="inspector.setTargetDocument(event.target.doc);" onpopupshowing="inspector.showInspectDocumentList()"
>+      onpopuphiding="inspector.emptyChildren(this.firstChild);" id="mnInspectDocumentFile" label="&mnInspectDocument.label;"
>+      accesskey="&mnInspectDocument.accesskey;">
>+      <menupopup id="listDocuments-popup"/>
Ideally onpopupXXX handlers belong on the popup please.
Comment 20 Jason Barnabe (np) 2005-12-25 21:09:39 PST
Created attachment 206834 [details] [diff] [review]
Implement "Inspect document" v4

(In reply to comment #19)
> >+    this.mInspectDocumentMenu = document.getElementById("listDocuments-popup");
> This could be passed in as a parameter to showInspectDocumentList (compare with
> the usage of emptyChildren).
I've made emptyChildren is a generic function because it might be useful in other parts of the code. It's unlikely any other code will want to reuse showInspectDocumentList.

> IIRC this was the only consumer of setTargetWindowById
And setTargetWindowById was the only consumer of kWindowDataSourceCID, inspectWindow.error.message, and inspectWindow.error.title. I've removed them all.

Everything else updated as requested. I also switched createElement to createElementNS.
Comment 21 neil@parkwaycc.co.uk 2005-12-26 16:57:12 PST
Comment on attachment 206834 [details] [diff] [review]
Implement "Inspect document" v4

Sorry for not spotting these before but style for XUL files is to line up subsequent lines of attributes under the first attribute as you can see in the subsequent menuitems.

>+    <menu oncommand="inspector.setTargetDocument(event.target.doc);" id="mnInspectDocumentFile" label="&mnInspectDocument.label;"
>+      accesskey="&mnInspectDocument.accesskey;">
>+      <menupopup id="listDocuments-popup" onpopupshowing="inspector.showInspectDocumentList()"
>+      onpopuphiding="inspector.emptyChildren(this);"/>
>     </menu>
>     <menuitem label="&cmdShowOpenURLDialog.label;" accesskey="&cmdShowOpenURLDialog.accesskey;"
>               observes="cmdShowOpenURLDialog"/>
>     <menuseparator/>
>     <menuitem label="&cmdClose.label;" accesskey="&cmdClose.accesskey;" 
>               observes="cmdClose" key="key_closeInspector"/>
Comment 22 Jason Barnabe (np) 2005-12-29 20:21:57 PST
Created attachment 207152 [details] [diff] [review]
Implement "Inspect document" v5

Fix indentation.
Comment 23 :Gavin Sharp [email: gavin@gavinsharp.com] 2005-12-30 00:28:42 PST
Is this ready for checkin (has the patch changed significantly enough to mandate further review)?
Comment 24 :Gavin Sharp [email: gavin@gavinsharp.com] 2005-12-30 05:54:09 PST
mozilla/extensions/inspector/resources/content/commandOverlay.xul
new revision: 1.5; previous revision: 1.4
mozilla/extensions/inspector/resources/content/inspector.js
new revision: 1.25; previous revision: 1.24
mozilla/extensions/inspector/resources/content/popupOverlay.xul
new revision: 1.12; previous revision: 1.11
mozilla/extensions/inspector/resources/content/prefs/inspector.js
new revision: 1.9; previous revision: 1.8
mozilla/extensions/inspector/resources/locale/en-US/inspector.dtd
new revision: 1.6; previous revision: 1.5
mozilla/extensions/inspector/resources/locale/en-US/inspector.properties
new revision: 1.5; previous revision: 1.4
Comment 25 :Gavin Sharp [email: gavin@gavinsharp.com] 2005-12-30 06:50:55 PST
I backed this out, all locales (not only en-US) need to be updated otherwise compare-locales fails.
Comment 26 :Gavin Sharp [email: gavin@gavinsharp.com] 2005-12-30 07:03:51 PST
(as Vidar mentioned on IRC, that involves adding the english strings to the other localizations and posting to n.p.m.l10n)
Comment 27 Jason Barnabe (np) 2005-12-30 15:36:58 PST
Created attachment 207223 [details] [diff] [review]
Implement "Inspect document" v6

Includes English strings in all localizations. I've posted to n.p.m.l10m http://groups.google.com/group/netscape.public.mozilla.l10n/browse_thread/thread/842f67c335c08d55

(In reply to comment #17)
> When compiling this, I was having build failures because I didn't define
> strings for locales other than en-US, so I had to edit the make file to not
> build the other locales. I don't know if this will be a problem when checked
> into CVS.
I guess it was.
Comment 28 Axel Hecht [:Pike] 2005-12-31 03:17:26 PST
Back this out again, this is crap. By adding random strings to some random tree,
we're left without any traction on the localization quality at all.

Note that neither Vidar nor Gavin have a say here, decisions like this are done
by me.

I'll bother about finding a solution for this once I heard on which branches this 
fix is supposed to land.
Comment 29 :Gavin Sharp [email: gavin@gavinsharp.com] 2005-12-31 06:55:54 PST
(In reply to comment #28)
> Back this out again, this is crap. By adding random strings to some random
> tree,
> we're left without any traction on the localization quality at all.
> 
> Note that neither Vidar nor Gavin have a say here, decisions like this are done
> by me.

The latest patch was never landed, the previous one was backed out as soon as the l10n issue was noted.
Comment 30 Axel Hecht [:Pike] 2005-12-31 09:12:04 PST
Good. I still need to know on which branches you intend to land this, i.e. fx2 vs
fx3.
Comment 31 Jason Barnabe (np) 2006-01-04 18:08:08 PST
(In reply to comment #30)
> Good. I still need to know on which branches you intend to land this, i.e. fx2
> vs
> fx3.

Just on the trunk.
Comment 32 Jason Barnabe (np) 2006-01-15 13:56:29 PST
Axel, any word on how the localization should be handled for this bug?
Comment 33 Jason Barnabe (np) 2006-02-20 17:54:13 PST
http://groups.google.com/group/mozilla.dev.l10n/browse_thread/thread/50e5d03b7ea29dd7
Axel says to inform the localization owners to get them to attach the updated translations here. I'll give at least two weeks for the localizations to come in - after that, any locale that hasn't gotten updated will be removed from the DOM Inspector build.

So I'm CCing all of them, and here's the list of things to be updated:

inspector.dtd
 Remove
  mnWindows.label
  mnWindows.accesskey
 Add
  mnInspectDocument.label "Inspect Document"
  mnInspectDocument.accesskey "D"
  cmdToggleChrome.label "Chrome"
  cmdToggleChrome.accesskey "C"

inspector.properties
 Remove
  inspectWindow.error.message
  inspectWindow.error.title=
 Add
  inspectWindow.noDocuments.message = (None)
Comment 34 Jason Barnabe (np) 2006-02-20 17:58:45 PST
CCing a few more people...

The Czech localizer's e-mail address from http://wiki.mozilla.org/L10n:Localization_Teams wasn't accepted. Anyone know it?
Comment 35 Axel Hecht [:Pike] 2006-02-21 00:23:59 PST
fixed the wiki, it had markup trouble with '<' and email addresses.
Comment 36 Andras Timar 2006-02-21 04:57:15 PST
Created attachment 212574 [details] [diff] [review]
Implement "Inspect document" v7

Added Hungarian translation to patch called 'Implement "Inspect document" v6'.
Comment 37 Robert Kaiser 2006-02-21 08:10:59 PST
Please check the German L10n in with the English strings as it is in the patch, I'll do a checkin afterwards changing them to the correct German counterparts.
Comment 38 Marek Stępień [:marcoos, inactive] 2006-02-21 09:56:13 PST
Created attachment 212607 [details] [diff] [review]
Patch for Polish (pl) localization 

Polish translation of these strings.

We really need to come up with a better solution for mozilla/extensions l10n than this.
Comment 39 Alexander L. Slovesnik 2006-02-21 10:01:22 PST
Created attachment 212608 [details] [diff] [review]
Patch for Russian (ru) locale of DOM Inspector
Comment 40 Axel Hecht [:Pike] 2006-02-21 10:07:54 PST
(In reply to comment #37)
> Please check the German L10n in with the English strings as it is in the patch,
> I'll do a checkin afterwards changing them to the correct German counterparts.
> 

Not without follow-up bug and commenting out the german locale from the build,
please.
Comment 41 u60234 2006-02-22 10:19:21 PST
Created attachment 212776 [details] [diff] [review]
Patch for Swedish (sv-SE) localization
Comment 42 Kostas Papadimas 2006-02-23 00:14:51 PST
Created attachment 212861 [details] [diff] [review]
Patch for Greek (el) localization of inspector
Comment 43 Håvard Mork 2006-02-23 12:50:26 PST
Created attachment 212937 [details] [diff] [review]
Patch for Norwegian bokmål (nb-NO) localization
Comment 44 Shaohua Wen 2006-02-25 06:24:32 PST
Created attachment 213175 [details] [diff] [review]
patch for Chinese Simplified (zh-CN) locale of DOM Inspector
Comment 45 Kevin Scannell 2006-02-26 15:04:06 PST
Created attachment 213262 [details] [diff] [review]
Patch for Irish (ga-IE) localization of inspector
Comment 46 Giacomo Magnini 2006-02-27 01:44:45 PST
That's funny: the Italian translation wasn't accepted and is not included but I was asked to make changes anyway... Nice!
The updated translation is in bug 311079, if it will ever matter to someone.
Comment 47 Alexander L. Slovesnik 2006-03-20 10:30:39 PST
Any progress on resolving this bug?
Jason have said that grace period would be 2 weeks. It was a month ago.
It would be nice to resolve that bug for Firefox 2.0a1.
Comment 48 timeless 2006-03-21 02:50:12 PST
Comment on attachment 212574 [details] [diff] [review]
Implement "Inspect document" v7

mozilla/extensions/inspector/resources/content/commandOverlay.xul 	1.8
mozilla/extensions/inspector/resources/content/inspector.js 	1.27
mozilla/extensions/inspector/resources/content/popupOverlay.xul 	1.14
mozilla/extensions/inspector/resources/content/prefs/inspector.js 	1.11

mozilla/extensions/inspector/resources/locale/ca/inspector.dtd 	1.2
mozilla/extensions/inspector/resources/locale/ca/inspector.properties 	1.2
mozilla/extensions/inspector/resources/locale/en-US/inspector.dtd 	1.8
mozilla/extensions/inspector/resources/locale/en-US/inspector.properties 	1.7
mozilla/extensions/inspector/resources/locale/hu/inspector.dtd 	1.2
mozilla/extensions/inspector/resources/locale/hu/inspector.properties 	1.2

mozilla/extensions/inspector/resources/locale/de/inspector.dtd 	1.2
mozilla/extensions/inspector/resources/locale/de/inspector.properties 	1.2
Comment 49 timeless 2006-03-21 02:51:35 PST
Comment on attachment 212607 [details] [diff] [review]
Patch for Polish (pl) localization 

mozilla/extensions/inspector/resources/locale/pl/inspector.dtd 	1.2
mozilla/extensions/inspector/resources/locale/pl/inspector.properties 	1.2
Comment 50 timeless 2006-03-21 02:51:46 PST
Comment on attachment 212608 [details] [diff] [review]
Patch for Russian (ru) locale of DOM Inspector

mozilla/extensions/inspector/resources/locale/ru/inspector.dtd 	1.2
mozilla/extensions/inspector/resources/locale/ru/inspector.properties 	1.2
Comment 51 timeless 2006-03-21 02:51:58 PST
Comment on attachment 212776 [details] [diff] [review]
Patch for Swedish (sv-SE) localization

mozilla/extensions/inspector/resources/locale/sv-SE/inspector.dtd 	1.2
mozilla/extensions/inspector/resources/locale/sv-SE/inspector.properties 	1.3
Comment 52 timeless 2006-03-21 02:52:10 PST
Comment on attachment 212861 [details] [diff] [review]
Patch for Greek (el) localization of inspector

mozilla/extensions/inspector/resources/locale/el/inspector.dtd 	1.2 	5/2 
mozilla/extensions/inspector/resources/locale/el/inspector.properties 	1.2
Comment 53 timeless 2006-03-21 02:52:24 PST
Comment on attachment 212937 [details] [diff] [review]
Patch for Norwegian bokmål (nb-NO) localization

mozilla/extensions/inspector/resources/locale/nb-NO/inspector.dtd 	1.2
mozilla/extensions/inspector/resources/locale/nb-NO/inspector.properties 	1.2
Comment 54 timeless 2006-03-21 02:52:36 PST
Comment on attachment 213175 [details] [diff] [review]
patch for Chinese Simplified (zh-CN) locale of DOM Inspector

mozilla/extensions/inspector/resources/locale/zh-CN/inspector.dtd 	1.2
mozilla/extensions/inspector/resources/locale/zh-CN/inspector.properties 	1.2
Comment 55 timeless 2006-03-21 02:52:48 PST
Comment on attachment 213262 [details] [diff] [review]
Patch for Irish (ga-IE) localization of inspector

mozilla/extensions/inspector/resources/locale/ga-IE/inspector.dtd 	1.2
mozilla/extensions/inspector/resources/locale/ga-IE/inspector.properties 	1.2
Comment 56 timeless 2006-03-21 02:55:59 PST
mozilla/extensions/inspector/resources/Makefile.in 	1.23

removed the locales that were unsupported

cs-CZ was in the newsgroups, it didn't recognize it until i went to file bugs, so i added it back (I hope I got it right):
mozilla/extensions/inspector/resources/Makefile.in 	1.24
mozilla/extensions/inspector/resources/locale/cs-CZ/inspector.dtd 	1.2
mozilla/extensions/inspector/resources/locale/cs-CZ/inspector.properties 	1.2

jason: please resolve this as fixed if it works to your satisfaction.

any problems or concerns (hereafter "bugs") about any issues relating this bug should be filed as new bugs (and may be placed in the blocks field of this bug next to the bugs already filed for the unfixed localizations).
Comment 57 Pavel Franc - Mozilla.cz 2006-03-21 03:08:07 PST
> cs-CZ was in the newsgroups, it didn't recognize it until i went to file bugs,
> so i added it back (I hope I got it right):

It looks right. Thanks a lot for digging the strings from NG.
Comment 58 Jason Barnabe (np) 2006-03-21 17:11:55 PST
It works to my satisfaction. Thanks for doing this for me, timeless; my development environment is kinda screwy lately so I haven't been able to do much.
Comment 59 Håkan Waara 2006-04-18 04:04:23 PDT
Since this broke XUL window on mac, it would be great if someone, possibly the creator of the patch or any of the reviewers could provide some insight into what could be wrong.  

see bug 331828

Thanks!

Note You need to log in before you can comment on or make changes to this bug.